Get store detail
curl --request GET \
--url https://scrapebadger.com/v1/target/stores/{store_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/stores/{store_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/stores/{store_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/stores/{store_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/stores/{store_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/stores/{store_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyTarget endpoints
Get store detail
Get store detail.
GET
/
v1
/
target
/
stores
/
{store_id}
Get store detail
curl --request GET \
--url https://scrapebadger.com/v1/target/stores/{store_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/stores/{store_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/stores/{store_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/stores/{store_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/stores/{store_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/stores/{store_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/stores/{store_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet store detail.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Target endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Store id.
Response
{
"store": {
"store_id": "1375",
"location_name": "Mpls Nicollet Mall",
"status": "Open",
"is_test_location": false,
"geofence": {
"latitude": 44.975017,
"longitude": -93.274104,
"radius": 171
},
"mailing_address": {
"address_line1": "900 Nicollet Mall",
"city": "Minneapolis",
"country": "United States of America",
"country_code": "US",
"county": "Hennepin",
"state": "Minnesota",
"postal_code": "55403-2530",
"region": "MN"
},
"main_voice_phone_number": "612-338-0085",
"capabilities": [
{
"capability_code": "Drive Up",
"capability_name": "Drive Up",
"effective_date": "2021-07-14"
}
],
"contact_information": [
{
"building_area": "Capability",
"capability": "Opt",
"telephone_type": "VOICE",
"is_international_phone_number": false,
"telephone_number": "612-338-7551"
}
],
"physical_specifications": {
"total_building_area": 158193,
"merchandise_level": 2,
"format": "Pfresh"
},
"geographic_specifications": {
"latitude": 44.975017,
"longitude": -93.274104,
"time_zone_code": "CST",
"time_zone_description": "Central Std Time",
"time_zone_utc_offset_name": "UTC-06",
"time_zone_offset_hours": "06:00:00",
"is_daylight_savings_time_recognized": true,
"iso_time_zone_code": "America/Chicago"
},
"miscellaneous": {
"google_cid": "https://maps.google.com/maps?cid=17670872680649818414"
},
"rolling_operating_hours": {
"main_hours": {
"days": [
{
"sequence_number": "1",
"date": "2026-10-16",
"day_name": "Friday",
"is_open": true,
"hours": [
{}
]
}
]
},
"capability_hours": [
{
"capability_code": "Opt",
"days": [
{
"sequence_number": "1",
"date": "2026-10-16",
"day_name": "Friday",
"is_open": true,
"hours": []
}
]
}
]
}
}
}
Example
curl --get 'https://scrapebadger.com/v1/target/stores/1375' \
--header 'X-API-Key: YOUR_API_KEY'

